# DescribeListeners

## 1. API Description

This API (DescribeListeners) is used to query the information of one or more specified listeners. Users can search for listener information based on the ID of the load balancer, the ID of the listener, and other information.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type            | Description                                                                                              |
| --------------- | -------- | --------------- | -------------------------------------------------------------------------------------------------------- |
| listenerIds     | No       | Array of String | <p>List of listener IDs.</p><p>Up to 100 requests are supported.</p>                                     |
| loadBalancerIds | No       | Array of String | <p>List of load balancer instance IDs.</p><p>Up to 100 requests are supported.</p>                       |
| listenerName    | No       | String          | <p>Listener name.</p><p>Fuzzy search supported.</p>                                                      |
| pageNum         | No       | Integer         | <p>Number of pages returned.</p><p>Default value: 1 .</p><p>Default value: 1</p>                         |
| pageSize        | No       | Integer         | <p>Number of items in the current page result.</p><p>Default value: 20 ;</p><p>Maximum value: 1000 .</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                              | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                           | The total number of listeners that meet the filtering conditions.                                                     |
| dataSet        | Array of [ListenerInfo](/api-reference/compute/bmc/datastructure.md#listenerinfo) | Listener set.                                                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query listeners** **by load balancer instance ID.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeListeners
<Common Request Params>

Request:
{
  "loadBalancerIds": ["xxxx"]
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "listenerId": "xxxxx",
        "listenerName": "xxxx",
        "status": "Available",
        "port": "80",
        "protocol": "TCP",
        "backendProtocol": "TCP",
        "scheduler": "rr",
        "kind": "DR",
        "loadBalancerId": "xxxx",
        "createTime": "2022-08-31 11:11:20"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describelisteners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
